# support_tasks

#### Table of Contents

1. [Description](#description)
2. [Setup - The basics of getting started with support_tasks](#setup)
    * [Beginning with support_tasks](#beginning-with-support_tasks)
3. [Usage - Configuration options and additional functionality](#usage)
4. [Getting Help](#getting-help)
5. [How to Report an issue or contribute to the module](#how-to-report-an-issue-or-contribute-to-the-module)
## Description

This is the companion module used to deliver the tasks for the solutions and configurations described in Puppet Support knowledge base <https://support.puppet.com/hc/en-us>.

The knowledge base, available to our support customers, offers a range of self service solutions, ranging from fixes to known issues to  useful configuration and deployment options. Some of the knowledge base articles include an accompanying Puppet task to automate the configuration of these self service solutions, this module delivers these tasks.

## Setup

### Beginning with support_tasks

Tasks in this module should only be executed by PE support customers, and Opensource Knowledge base users, in accompaniment with the corresponding knowledge base article.

## Usage

Support customers should follow the instructions in the corresponding knowledge base articles linked below.

## Getting Help

Puppet Enterprise Support customers can open a ticket with us at our portal for assistance <https://support.puppet.com/hc/en-us>, this module is officially supported by the Puppet Enterprise Support Team

To display help for the support\_tasks task, run `puppet task show support_tasks::<task_name>`

To display a list of all tasks provided by this module run `puppet task show --all | grep support_tasks`

## How to Report an issue or contribute to the module

If you are a PE user and need support using this module or are encountering issues, our Support team would be happy to help you resolve your issue and help reproduce any bugs. Just raise a ticket on the [support portal](https://support.puppet.com/hc/en-us/requests/new).
If you have a reproducible bug or are a community user you can raise it directly on the Github issues page of the module [here](https://github.com/puppetlabs/support-tasks/issues). 
We also welcome PR contributions to improve the module. Please see further details about contributing [here](https://puppet.com/docs/puppet/7.5/contributing.html#contributing_changes_to_module_repositories)

## Copyright and License

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

<http://www.apache.org/licenses/LICENSE-2.0>

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.


